%define debug_package %{nil}
%define product_family Red Hat OpenStack Platform
%define release_name Train
%define base_release_version 16
%define full_release_version 16.0.0
%define beta Beta
%define release_file rhosp-release
%define script_name rhosp-director-image-update
%define script_version 1.0.3

Name:           %{release_file}%{?variant_lowercase:-%{variant_lowercase}}
Version:        %{full_release_version}
Release:        1%{?dist}
Summary:        %{product_family}%{?variant_titlecase: %{variant_titlecase}} release file
Group:          System Environment/Base
License:        GPLv2
Provides:       %{release_file} = %{version}-%{release}
BuildArch:      noarch
Source0: %{release_file}-%{script_version}.tar.gz

Requires: python3
Requires: rpmdevtools

%description
%{product_family}%{?variant_titlecase: %{variant_titlecase}} release files

%prep
%autosetup -n %{release_file}-%{script_version}

%build
echo OK

%install
rm -rf %{buildroot}

# create /etc
mkdir -p %{buildroot}/etc

# create /etc/system-release and /etc/%{release_file}
echo "%{product_family}%{?variant_titlecase: %{variant_titlecase}} release %{full_release_version}%{?beta: %{beta}} (%{release_name})" > %{buildroot}/%{_sysconfdir}/%{release_file}

# Add rhos-director-image-update
%{__install} -d -m0755 %{buildroot}%{_sbindir}
%{__install} -p -m0755 %{script_name} %{buildroot}%{_sbindir}/%{script_name}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_sysconfdir}/%{release_file}
%attr(0755, root, root) %{_sbindir}/%{script_name}

%changelog
* Mon Jun 10 2019 Shreshtha Joshi <shrjoshi@redhat.com> - 16.0.0-1
- Update for OSP 16 Beta

* Thu Feb 21 2019 Lon Hohberger <lon@redhat.com> 15.0.0-2
- Require Python3

* Fri Jan 25 2019 Jason Joyce <jjoyce@redhat.com> 15.0.0-1
- Update for OSP 15 Beta
- Update to script version 1.0.3 for python 3 support.

* Mon Dec 17 2018 Jason Joyce <jjoyce@redhat.com> 14.0.0-9.1
- Bumping release to meet director images requirements.

* Tue Dec 11 2018 Jason Joyce <jjoyce@redhat.com> 14.0.0-9
- Updating to use rhosp-director-image-upgrade tag 1.0.2
- Added support of ppc64lep9 (rhbz#1654123)

* Tue Nov 27 2018 Mike Burns <mburns@redhat.com> 14.0.0-8
- Update for RC rhbz#1652188

* Fri Nov 02 2018 Jason Joyce <jjoyce@redhat.com> 14.0-8
* Updating to use rhosp-director-image-upgrade tag 1.0.1

* Tue Oct 16 2018 Jason Joyce <jjoyce@redhat.com> 14.0-7
- Updating release name to Rocky (rhbz#1637469)

* Thu Oct 04 2018 Jason Joyce <jjoyce@redhat.com> 14.0-6
- Updating to use a git archive for the rhosp-director-image-upgrade script.

* Mon Aug 20 2018 Jason Joyce <jjoyce@redhat.com> 14.0-5
- Updating rhosp-director-image-upgrade file guards to not depend on a versions file.

* Fri Aug 10 2018 Jason Joyce <jjoyce@redhat.com> 14.0-4
- Updates to rhosp-director-image-upgrade for sub-directories, arches and different extensions.

* Tue Aug 07 2018 Jason Joyce <jjoyce@redhat> 14.0-3
* Adjusting rhosp-director-image-update location and permissions.

* Mon Aug 06 2018 Jason Joyce <jjoyce@redhat.com> 14.0-2
- Adding a tool to maintain image symlinks

* Tue Apr 17 2018 Thierry Vignaud <tvignaud@redhat.com> 14.0-1
- update for OSP 14 Beta

* Tue Dec 19 2017 Mike Burns <mburns@redhat.com> - 13.0-1
- Update for OSP 13 Beta
